United States
GSM
HSDPA

Page Plus APN settings for QMobile Noir i10

, Updated:       Page Plus   QMobile Noir i10   Android

QMobile Noir i10 does not support Page Plus GSM / HSPA at this time.

Explain QMobile Noir i10 compatibility with Page Plus

Page Plus CDMA with QMobile Noir i10

QMobile Noir i10 does not support Page Plus CDMA.

Sorry, but it does not look like QMobile Noir i10 will work on Page Plus. But please note that the compatibility of QMobile Noir i10 with Page Plus, or the Page Plus network support on QMobile Noir i10 we have explained here is only a technical specification match between QMobile Noir i10 and Page Plus network. Even QMobile Noir i10 is listed as not compatible here, still Page Plus network can allow (rarely) QMobile Noir i10 in their network with special agreements made between Page Plus and QMobile. Therefore, this only explains if the commonly available versions of QMobile Noir i10 will work properly on Page Plus or not, if so in which bands QMobile Noir i10 will work on Page Plus and the network performance between Page Plus and QMobile Noir i10. To check if QMobile Noir i10 is really allowed in Page Plus network please contact Page Plus support. Do not use this website to decide to buy QMobile Noir i10 to use on Page Plus.

QMobile Noir i10 network specifications

OS Android OS, v4.4.2 (KitKat)
Network bands GSM / HSPA
Speed HSPA 21.1/5.76 Mbps
Network frequencies GSM 850 / 900 / 1800 / 1900 - SIM 1 & SIM 2
HSDPA 900 / 2100

See full specs at GSM.COOL... Select a different device... Select a different network...
QMobile Noir i12 Page Plus APN settings
Not compatible
QMobile Noir i5 Page Plus APN settings
Not compatible
QMobile Noir i6 Page Plus APN settings
Not compatible
QMobile Noir i7 Page Plus APN settings
Not compatible
QMobile Noir i8 Page Plus APN settings
Not compatible
QMobile Noir i9 Page Plus APN settings
Not compatible
QMobile Noir i5i Page Plus APN settings
Not compatible
QMobile Noir A75 Page Plus APN settings
Not compatible
QMobile Noir A8i Page Plus APN settings
Not compatible